coap_l_block1_t Struct Reference
Block (Internal)

Structure to keep track of block1 specific information (Requests) More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_l_block1_t:
[legend]

## Data Fields

coap_binary_t * | app_token
| original PDU token More...
uint8_t | token [8]
| last used token More...
size_t | token_length
| length of token More...
uint32_t | count
| the number of packets sent for payload More...

## Detailed Description

Structure to keep track of block1 specific information (Requests)

Definition at line 56 of file coap_block_internal.h.

## Field Documentation

## app_token

coap_binary_t* coap_l_block1_t::app_token

original PDU token

Definition at line 57 of file coap_block_internal.h.

## count

uint32_t coap_l_block1_t::count

the number of packets sent for payload

Definition at line 60 of file coap_block_internal.h.

## token

uint8_t coap_l_block1_t::token[8]

last used token

Definition at line 58 of file coap_block_internal.h.

## token_length

size_t coap_l_block1_t::token_length

length of token

Definition at line 59 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h